Bug 166843 - New port: devel/libsysinfo
Summary: New port: devel/libsysinfo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-11 15:00 UTC by Jason W. Bacon
Modified: 2012-04-25 18:30 UTC (History)
0 users

See Also:


Attachments
file.shar (1.67 KB, text/plain)
2012-04-11 15:00 UTC, Jason W. Bacon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2012-04-11 15:00:29 UTC
Provides a GNU-style C code interface for gathering system information that would otherwise be obtained from functions like sysctl(3) and sysconf(3).  Needed by slurm and freecad ports currently in development.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-04-11 15:00:40 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Jason Helfman freebsd_committer 2012-04-12 05:45:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 3 dfilter service freebsd_committer 2012-04-25 18:25:18 UTC
jgh         2012-04-25 17:25:05 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/libsysinfo     Makefile distinfo pkg-descr 
  Log:
  Add new port: devel/libsysinfo
  
  The sysinfo(3) function is a GNU interface for retrieving common information
  about the configuration and state of the system, such as is returned by
  sysctl(3) and sysconf(3).
  
  WWW:    http://code.google.com/p/sysinfo-bsd/
  
  PR:     ports/166843
  Submitted by:   jwbacon@tds.net
  
  Revision  Changes    Path
  1.4933    +1 -0      ports/devel/Makefile
  1.1       +29 -0     ports/devel/libsysinfo/Makefile (new)
  1.1       +2 -0      ports/devel/libsysinfo/distinfo (new)
  1.1       +5 -0      ports/devel/libsysinfo/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jason Helfman freebsd_committer 2012-04-25 18:25:29 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!